let context;

const rnboSetup = async () => {
  // create audio context
  let WAContext = window.AudioContext || window.webkitAudioContext;
  context = new WAContext();

  // load patch
  let rawPatcher = await fetch("patch.export.json");
  let patcher = await rawPatcher.json();

  // RNBO setup
  let device = await RNBO.createDevice({ context, patcher });
  device.node.connect(context.destination);
};

function setup() {
  createCanvas(720, 400);
}

function draw() {
  background(0);
  textAlign(CENTER);
  fill(255);
  text("click to turn audio on", width * 0.5, height * 0.5);
}

async function mousePressed() {
  await rnboSetup();
  context.resume();
}
